zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-2659) Use log4j2 as a logging framework as log4j 1.X is now deprecated
Date Fri, 27 Jan 2017 16:27:24 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-2659?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15843072#comment-15843072
] 

ASF GitHub Bot commented on ZOOKEEPER-2659:
-------------------------------------------

Github user jvz commented on the issue:

    https://github.com/apache/zookeeper/pull/148
  
    If any transitive dependencies rely on the log4j 1.x API itself (not SLF4J or Commons
Log or java.util.logging or an obscure bridge I didn't mention), then they can be replaced
with log4j-1.2-api from Log4j2 in general unless they're defining custom appenders or other
plugins. I'm not too familiar with Ivy, but here's what Gradle generates in its embedded ivy.xml
for something similar:
    
    ```xml
      <dependencies>
        <dependency org="org.springframework.boot" name="spring-boot-starter-log4j2" rev=""
conf="compile-&gt;default">
          <exclude org="commons-logging" module="commons-logging" name="*" type="*" ext="*"
conf="compile" matcher="exact"/>
          <exclude org="com.google.code.findbugs" module="annotations" name="*" type="*"
ext="*" conf="compile" matcher="exact"/>
        </dependency>
      </dependencies>
    ```


> Use log4j2 as a logging framework as log4j 1.X is now deprecated
> ----------------------------------------------------------------
>
>                 Key: ZOOKEEPER-2659
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-2659
>             Project: ZooKeeper
>          Issue Type: Wish
>            Reporter: Pushkar Raste
>            Assignee: Pushkar Raste
>            Priority: Minor
>         Attachments: zk_log4j2_migration.patch
>
>
> Zookeeper currently uses {{log4j 1.X}} as the default logging framework. {{log4j 1.X}}
is now deprecated http://logging.apache.org/log4j/1.2/
> This ticket is to track efforts to move zookeeper to {{log4j2}}



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message